{
  "type" : "record",
  "name" : "GenomicEntity",
  "namespace" : "org.gel.models.report.avro",
  "doc" : "A genomic feature",
  "fields" : [ {
    "name" : "type",
    "type" : {
      "type" : "enum",
      "name" : "GenomicEntityType",
      "doc" : "Types of genomic features:\n\n* `regulatory_region`: a regulatory region\n* `gene`: a gene\n* `transcript`: a transcript\n* `intergenic`: an intergenic region",
      "symbols" : [ "regulatory_region", "gene", "transcript", "intergenic", "gene_fusion", "genomic_region", "cytobands" ]
    },
    "doc" : "The type of the genomic entity"
  }, {
    "name" : "ensemblId",
    "type" : [ "null", "string" ],
    "doc" : "Ensembl identifier for the feature (e.g, ENST00000544455)"
  }, {
    "name" : "geneSymbol",
    "type" : [ "null", "string" ],
    "doc" : "The HGNC gene symbol. This field is optional, BUT it should be filled if possible"
  }, {
    "name" : "otherIds",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "Identifier",
        "fields" : [ {
          "name" : "source",
          "type" : "string",
          "doc" : "Source i.e, esenmbl"
        }, {
          "name" : "identifier",
          "type" : "string",
          "doc" : "identifier"
        } ]
      }
    } ],
    "doc" : "Others identifiers for this genomic feature"
  } ]
}
